%define module_name	HTTP-Cache-Transparent

Name: perl-%module_name
Version: 0.5
Release: alt1

Summary: A transparant caching implementation of http get
Summary(ru_RU.UTF-8): Прозрачное кеширование для функции http get
License: GPL or Artistic
Group: Development/Perl
URL: http://www.cpan.org
Source: http://search.cpan.org/CPAN/authors/id/M/MA/MATTIASH/%module_name-%version.tar.bz2
Buildarch: noarch
AutoReqProv: yes, perl
BuildRequires: perl-URI perl-devel perl-libwww

%description
HTTP::Cache::Transparent is an implementation of http get that keeps a local
cache of fetched pages to avoid fetching the same data from the server
if it hasn't been updated. The cache is stored on disk and is thus
persistent between invocations.

The http-headers If-Modified-Since and ETag are used to let the server
decide if the version in the cache is up-to-date or not.

HTTP::Cache::Transparent was initially called HTTP::TransparentCache. It
was renamed on request from modules@perl.org.

%description -l ru_RU.UTF-8
HTTP::Cache::Transparent предоставляет функцию http get, которая хранит
загруженные страницы в локальном буфере, чтобы не загружать дважды одни 
и те же данные с сервера, если обновлений не было. Загруженные страницы 
хранятся на диске и доступны при следующем запуске.

Для определения, не устарели ли данные в буфере, используются заголовки 
протокола http If-Modified-Since и ETag.

HTTP::Cache::Transparent ранее назывался HTTP::TransparentCache. переименование
было сделано по просьбе modules@perl.org.

%prep
%setup -q -n %module_name-%version

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc Changes
#%perl_vendorlib/*
%perl_vendorlib/HTTP/Cache/Transparent.pm
%_mandir/*/*

%changelog
* Sat Mar 26 2005 Vyacheslav Dikonov <slava@altlinux.ru> 0.5-alt1
- ALTLinux build
